Index: LMDZ6/branches/LMDZ_ECRad/DefLists/README
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/DefLists/README	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/DefLists/README	(revision 4482)
@@ -11,2 +11,7 @@
 physiq.def_NPv5.70         IPSL-CM6.0.5
 physiq.def_NPv5.67         IPSL-CM6.0.5 / THC1 (test de sensibilité)
+physiq.def_NPv6.1          IPSL-CM6A
+physiq.def_NPv6.2          IPSL-CM6A for QUEST (without 2 CM6A bugs)
+physiq.def_NPv6.3          IPSL-CM6A + new flags added since CMIP6 end 2018
+physiq.def_NPv6.4          NPv6.3 without 2 CM6A bugs
+physiq.def_LUDOBest2       Ludovic' physic tuned by Frederic 
Index: LMDZ6/branches/LMDZ_ECRad/DefLists/iso.def
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/DefLists/iso.def	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/DefLists/iso.def	(revision 4482)
@@ -0,0 +1,155 @@
+# paramètres isotopiques principaux
+
+# verif isotopes dans la dynamique?
+ok_iso_verif=y
+
+# lambda: supersaturation: valeurs typiques: 0.002. Range possible: 0 (pas de sursat) à 0.004 (forte sursat)
+lambda=0.002
+
+# thumxt1: gère le fractionnement cinétique lors de la réévaporation des gouttes. Valeur typique: 0.9. Range possible: 0 (rh au contact des gouttes = rh autour des gouttes, fort fractionnement cinétique) à 1 (rh=1 au contact des gouttes, pas de fractionnement cinétique)
+thumxt1=0.9
+
+# h_land_ice: hauteur caractéristique de la glace de terre: la glace de terre à t+1 est égale à h_land_ice de glace de terre à t + la precip neigeuse en t.
+#Valeur typique: 20m. Range possible: proche de 0 (-> la glace de terre prend la composition de la dernière précip neigeuse) à très grand (-> la compo de la glace de terre est constante)
+h_land_ice=20.
+
+# P_veg: fraction de l evaporation continentale provenant de la transpiration sans fractionnement de la végétation, au lieu de l évaporation avec fractionnement de sol nu ou d eau libre. Valeur standard: 1 (comme autres GCMs). Range possible: 0 à 1.
+P_veg=1.0
+
+# bidouille_anti_divergence: si T: on rappel régulièrement l isotope H2O16 vers l eau normale. Si F: pas de rappel. En général, on met T pour être sur, mais on a verifie que ça a peut d importance
+bidouille_anti_divergence=y
+
+# essai_convergence: si T, on fait tout exactement comme pour l eau normale, pour que les 2 versions convergent. Si F, on modifie un peu: ex: initialisations supplémentaires de variables, on zappe l homogénéisation sous le nuage dans cv3_yield...
+essai_convergence=n
+
+# initialisation_iso: la façon dont les isos sont initialisés.
+#   - Lors du lancement de gcm:
+#	Pour la physique:
+#	0: lecture d un fichier, souvent de start (phyiso_etat0_fichier.F)
+#	>0: initialisation des isotopes académique, donnée dans phyiso_etat0_dur.F
+#	Pour la dynamique:
+#	0: lecture d un fichier (dyniso_etat0_fichier.F)
+#	>0: initialisation académique:
+#		1: isos à 0 sauf H2016=eau normale
+#		2: distill de Rayleigh
+#		3: tout est uniforme au SMOW
+#	En général, on met initialisation_iso=0
+#   - Lors du lancement de create_etat0_limit:
+#	Pour la physique: initialisation en dure, toujours
+#	Pour la dynamique: initialisation académique toujours:
+#		1: isos à 0 sauf H2016=eau normale
+#		2 ou 0: distill de Rayleigh
+#		3: tout est uniforme au SMOW
+#	En général, on laisse à initialisation_iso=0
+initialisation_iso=2
+
+# initialisation_isotrac: comment initialiser les traceurs d'eau?
+# 1: idéalisé: on met toute l'eau dans le tag izone_init, 0 ailleurs
+# 0: en lisant dans un fichier. Possible seulement si initialisation_iso=0
+initialisation_isotrac=1
+
+# modif_sst: 0 par defaut, 1 si on veut modifier la sst de manière uniforme
+# si 2, on impose un profil de changement de SST, avec 0 entre sstlatcrit et - sstlatcrit en latitude. Ailleurs: +deltaTtestpoles (rlat(ii)**2-sstlatcrit**2) /(90.0**2-sstlatcrit**2)
+# si 2, on impose changement de SST linéaire par morceau: 0 entre sstlatcrit et - sstlatcrit, deltaTtestpoles poleward of sstlatcrit+dsstlatcrit, et linéaire entre les 2.
+modif_sst=0
+
+# deltaTtest: sensibilité à une variation uniforme de la SST. Utilise seulement si modif_sst=1
+deltaTtest=0.0
+
+deltaTtestpoles=-15.0
+sstlatcrit=30.0
+dsstlatcrit=20.0
+
+# deltaO18_oce: deltaO18 de l'océan: ex: +1.1 au LGM, 0 actuellement. On suppose que le dexcess et O17excess océan sont nuls.
+deltaO18_oce=0.0
+
+# deltaP_BL:  epaisseur de la couche limite avec laquelle l'eau du sol tend à se rééquilibrer. Par défaut: 10mb (optim dans ORCHIDEE_LMDZ)
+deltaP_BL=10.0 
+
+# ruissellement_pluie: qu'est-ce qui ruisselle? si 1: c'est la pluie qui ruisselle. elle ne s'infiltre. elle ne s'infiltre donc jamais dans un sol saturé. si 0: c'est le sol qui ruisselle. La pluie s'inglitre donc dans le sol saturé.
+ruissellement_pluie=1
+
+# alphak_stewart: si 1: alphak=(D/Diso)^nsol. si 0: alphak=1/(1-kcin(vsurf))
+alphak_stewart=1
+
+# tdifexp_sol: tdifexp_sol est l'exposant de D/Diso. Il paramétrise la turbulence. D'abitude, il est de 0.58. Mais d'après Mathieu et Bariac, il est entre 0.67 et 1: 0.67 pour les sols secs et 1 pour les sols saturés.
+tdifexp_sol=0.67
+
+# calendrier_guide: si 1, on fait en sorte que l'année puisse avoir 365 ou 366 jours. Si 0, l'année à 360 jours (c'est LMDZ par défaut).
+# mettre 1 quand on guide, 0 sinon.
+calendrier_guide=0
+
+# cste_surf_cond: si 2, la témprature et la rh de surface sont constantes: rhs=0.7 et Ts=15°=288K. si 1: la rh de surface est conste égale à 0.7. Par défaut, cste_surf_cond=0: tout est explicit.
+cste_surf_cond=0
+
+# lev_histiso
+# niveaux de sorties pour les isotopes et aussi sans les isotopes.
+# Pas encore utilisé
+lev_histiso=1
+
+# lev_histiso_diag
+# ne s applique que si DIAGISO. 1 par defaut. si 0, seul xtvp est outputé
+lev_histiso_diag=1
+
+# valeurs isotopiques aberrantes: si on les dépasse, on plante
+deltalim=1000.0
+dexcess_max=2000
+dexcess_min=-1000
+
+# valeurs aberrantes pour les traceurs
+deltalimtrac=1000000.0
+
+# est-ce qu'on verifie l'O17? 
+O17_verif=y
+o17excess_bas=-1000.0
+o17excess_haut=900.0
+nlevmaxO17=18
+
+# pour que les continents évaporent une compositon constante, pour voir si les cycles de dexcess en Amazonie sont liés à la compo de l''évap sur continent
+# par défaut: evap_cont_cste=0
+# si evap_cont_cste=1, préciser deltaO18 et dexcess de l''évap
+evap_cont_cste=0
+deltaO18_evap_cont=-5.0
+d_evap_cont=14.0
+
+# quand on utilise tag 17, on taggue la vapeur résiduelle quand la fraction condensée est supérieure à seuil_tag_tmin, c'est à dire quand l'évènement de condensation affecte suffisemment la compo de la vapeur résiduelle. Si seuil_tag_tmin=0, le moindre évènement de condensation même très faibel agit sur les tags, et les proportions de sfc, condensat et rev sont presques nulles.
+# par defaut: seuil_tag_tmin=0.01: 1% de condensation <-> 0.1 permil d'effet sur la vapeur résiduelle.
+seuil_tag_tmin=0.01
+
+# idem pour condensation dans LS: par defaut égal à seuil_tag_tmin
+seuil_tag_tmin_ls=0.01
+
+# option_seuil_tag_tmin: si 1, on recolorise la vapeur résiduelle dès que cond/qt>seuil_tag_tmin. Ca taggue bien la vap résiduelle mais le problème est que plus on humidifie par la microphysique, plus le seuil est facilement attent -> plus on retaggue -> au final, on n'a pas plus de tag mcrophysique alors que c'est la sourec d'humdification.
+# dans l'option 2: on taggue si (cond-qmicro)/((qt-qmicro)>seuil
+option_seuil_tag_tmin=2
+
+# desactivier post-condensational exchanges comme dans Field, Jones et Brown à réviewer
+no_pce=0
+
+# latitude de taggage des extra-tropiques quand option de taggage n° 20
+# 35.0 par défaut
+lim_tag20=35.0
+
+# quand tag9, recolorise t'on que le condensat convectif (option 2) ou aussi le condensat starti (otion 1)
+option_cond=2
+
+# quand tag 22, on recolorise la vapeur dans les zones ou precip>lim_precip_tag22
+# 10.0 par défaut
+lim_precip_tag22=10.0
+
+# quand adv 14, saturation limiter tel que on advec min (q,A_satlim*qs)
+# par defaut, A_satlim=1: c'est le code original de Francis Codron
+# ce param n'a d'effet que quand adv 14.
+A_satlim=0.8
+
+# si ok_restrict_A_satlim=1, alors on n'active adv 14 que dans les extra-tropiques
+# si ok_restrict_A_satlim=2, alors on n'active adv 14 que dans les tropiques
+# si ok_restrict_A_satlim=3, alors on n'active adv 14 nulle part
+ok_restrict_A_satlim=0
+
+slope_limiter=2.0
+# defaut: 2; pour adv 10: 0
+
+#on multiplie par 3 ratqs aux extraropiques si modif_ratqs=1.
+modif_ratqs=0
+
Index: LMDZ6/branches/LMDZ_ECRad/DefLists/isotopes_params.def
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/DefLists/isotopes_params.def	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/DefLists/isotopes_params.def	(revision 4482)
@@ -1,49 +1,49 @@
 &H2O
 
-  params   deltaO18_oce=0.0        fac_coeff_eq17_liq=0.529                    \
-           fac_enrichoce18=0.0005  fac_coeff_eq17_ice=0.529                    \
-           talph1_O18=1137.        talps1_O18=11.839       tkcin0_O18=0.006    \
-           talph2_O18=-0.4156      talps2_O18=-0.028244    tkcin1_O18=0.000285 \
-           talph3_O18=-2.0667E-3   tdifrel_O18=1./0.9723   tkcin2_O18=0.00082  \
-           alpha_liq_sol_O18=1.00291
+  params deltaO18_oce=0.0        fac_coeff_eq17_liq=0.529                    \
+         fac_enrichoce18=0.0005  fac_coeff_eq17_ice=0.529                    \
+         talph1_O18=1137.        talps1_O18=11.839       tkcin0_O18=0.006    \
+         talph2_O18=-0.4156      talps2_O18=-0.028244    tkcin1_O18=0.000285 \
+         talph3_O18=-2.0667E-3   tdifrel_O18=1./0.9723   tkcin2_O18=0.00082  \
+         alpha_liq_sol_O18=1.00291
 
-  H2[16]O  alpha=1.000            toce=tnat                            \
-           tnat=1.0000            tcorr=1.0                            \
-           talph1=0.0             talps1=0.0               tkcin0=0.0  \
-           talph2=0.0             talps2=0.0               tkcin1=0.0  \
-           talph3=0.0             tdifrel=1.0              tkcin2=0.0  \
-           alpha_liq_sol=1.0      Rdefault=tnat*1.0        Rmethox=1.0
+  H216O  alpha=1.000            toce=tnat                            \
+         tnat=1.0000            tcorr=1.0                            \
+         talph1=0.0             talps1=0.0               tkcin0=0.0  \
+         talph2=0.0             talps2=0.0               tkcin1=0.0  \
+         talph3=0.0             tdifrel=1.0              tkcin2=0.0  \
+         alpha_liq_sol=1.0      Rdefault=tnat*1.0        Rmethox=1.0
 
-  H2[17]O  alpha=1.003            toce=tnat*(1.0+deltaO18_oce/1000.0)^pente_MWL          \
-           tnat=40.000e-6         tcorr=1.0+fac_enrichoce18*pente_MWL                    \
-           talph1=talph1_O18      talps1=talps1_O18        tkcin0=tkcin0_O18*fac_kcin    \
-           talph2=talph2_O18      talps2=talps2_O18        tkcin1=tkcin1_O18*fac_kcin    \
-           talph3=talph3_O18      tdifrel=1./0.98555       tkcin2=tkcin2_O18*fac_kcin    \
-           alpha_liq_sol=alpha_liq_sol_O18^fac_coeff_eq17_liq                            \
-           Rdefault=tnat*(1.0-3.15/1000.)                  Rmethox=tnat*(1.0+230./1000.) \              
-           fac_kcin=(tdifrel-1.0)/(tdifrel_O18-1.0)        pente_MWL=0.528
+  H217O  alpha=1.003            toce=tnat*(1.0+deltaO18_oce/1000.0)^pente_MWL          \
+         tnat=40.000e-6         tcorr=1.0+fac_enrichoce18*pente_MWL                    \
+         talph1=talph1_O18      talps1=talps1_O18        tkcin0=tkcin0_O18*fac_kcin    \
+         talph2=talph2_O18      talps2=talps2_O18        tkcin1=tkcin1_O18*fac_kcin    \
+         talph3=talph3_O18      tdifrel=1./0.98555       tkcin2=tkcin2_O18*fac_kcin    \
+         alpha_liq_sol=alpha_liq_sol_O18^fac_coeff_eq17_liq                            \
+         Rdefault=tnat*(1.0-3.15/1000.)                  Rmethox=tnat*(1.0+230./1000.) \              
+         fac_kcin=(tdifrel-1.0)/(tdifrel_O18-1.0)        pente_MWL=0.528
 
-  H2[18]O  alpha=1.006            toce=tnat*(1.0+deltaO18_oce/1000.0)         \
-           tnat=2005.2e-6         tcorr=1.0+fac_enrichoce18                   \
-           talph1=talph1_O18      talps1=talps1_O18        tkcin0=tkcin0_O18  \
-           talph2=talph2_O18      talps2=talps2_O18        tkcin1=tkcin1_O18  \
-           talph3=talph3_O18      tdifrel=tdifrel_O18      tkcin2=tkcin2_O18  \
-           alpha_liq_sol=alpha_liq_sol_O18                                    \
-           Rdefault=tnat*(1.0-6.00/1000.)                  Rmethox=tnat*(1.0+130./1000.)  
+  H218O  alpha=1.006            toce=tnat*(1.0+deltaO18_oce/1000.0)         \
+         tnat=2005.2e-6         tcorr=1.0+fac_enrichoce18                   \
+         talph1=talph1_O18      talps1=talps1_O18        tkcin0=tkcin0_O18  \
+         talph2=talph2_O18      talps2=talps2_O18        tkcin1=tkcin1_O18  \
+         talph3=talph3_O18      tdifrel=tdifrel_O18      tkcin2=tkcin2_O18  \
+         alpha_liq_sol=alpha_liq_sol_O18                                    \
+         Rdefault=tnat*(1.0-6.00/1000.)                  Rmethox=tnat*(1.0+130./1000.)  
 
-  H[2]HO   alpha=1.010            toce=tnat*(1.0+deltaO18_oce/1000.0*pente_MWL)          \
-           tnat=155.76e-6         tcorr=1.0+fac_enrichoce18*pente_MWL                    \
-           talph1=24844.          talps1=16288.            tkcin0=tkcin0_O18*fac_kcin    \
-           talph2=-76.248         talps2=-0.0934           tkcin1=tkcin1_O18*fac_kcin    \
-           talph3=52.612E-3       tdifrel=1./0.9755        tkcin2=tkcin2_O18*fac_kcin    \
-           alpha_liq_sol=1.0212                                                          \
-           Rdefault=tnat*(1.0+(10.0-6.0*pente_MWL)/1000.)  Rmethox=tnat*(1.0-25.0/1000.) \
-           fac_kcin=(tdifrel-1.0)/(tdifrel_O18-1.0)        pente_MWL=8.0
+  HDO    alpha=1.010            toce=tnat*(1.0+deltaO18_oce/1000.0*pente_MWL)          \
+         tnat=155.76e-6         tcorr=1.0+fac_enrichoce18*pente_MWL                    \
+         talph1=24844.          talps1=16288.            tkcin0=tkcin0_O18*fac_kcin    \
+         talph2=-76.248         talps2=-0.0934           tkcin1=tkcin1_O18*fac_kcin    \
+         talph3=52.612E-3       tdifrel=1./0.9755        tkcin2=tkcin2_O18*fac_kcin    \
+         alpha_liq_sol=1.0212                                                          \
+         Rdefault=tnat*(1.0+(10.0-6.0*pente_MWL)/1000.)  Rmethox=tnat*(1.0-25.0/1000.) \
+         fac_kcin=(tdifrel-1.0)/(tdifrel_O18-1.0)        pente_MWL=8.0
 
-  H[3]HO   alpha=1.000            toce=4.0E-19                               \
-           tnat=0.0000            tcorr=1.0                                  \
-           talph1=46480.          talps1=46480.            tkcin0=0.01056    \
-           talph2=-103.87         talps2=-103.87           tkcin1=0.0005016  \
-           talph3=0.0             tdifrel=1./0.968         tkcin2=0.0014432  \
-           alpha_liq_sol=1.0      Rdefault=0.0             Rmethox=0.0
+  HTO    alpha=1.000            toce=4.0E-19                               \
+         tnat=0.0000            tcorr=1.0                                  \
+         talph1=46480.          talps1=46480.            tkcin0=0.01056    \
+         talph2=-103.87         talps2=-103.87           tkcin1=0.0005016  \
+         talph3=0.0             tdifrel=1./0.968         tkcin2=0.0014432  \
+         alpha_liq_sol=1.0      Rdefault=0.0             Rmethox=0.0
 
Index: LMDZ6/branches/LMDZ_ECRad/DefLists/namelist_ecrad
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/DefLists/namelist_ecrad	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/DefLists/namelist_ecrad	(revision 4482)
@@ -12,6 +12,6 @@
  iverbose = 5, 
 
- fractional_std=0.75,                 ! (-)    vertically constant fractional standard deviation of in-cloud liquid water [0, 3]    *0.75*
- overlap_decorr_length=2000,          ! (m)    vertically constant overlap decorrelation length                           [0, 5000] *2000*
+ fractional_std=1.,                 ! (-)    vertically constant fractional standard deviation of in-cloud liquid water [0, 3]    *0.75*
+ overlap_decorr_length=1000,          ! (m)    vertically constant overlap decorrelation length                           [0, 5000] *2000*
                                       !        following Hogan and Illingworth 2000, if overlap_scheme_name=="Exp-Ran" 
                                       !        Ctrue(i,j) = a*Cmax(i,j) + (1-a)*Crand(i,j) ; a = exp(DZ(i,j)/overlap_decorr_length)
@@ -47,5 +47,4 @@
 do_3d_lw_multilayer_effects = true,
 directory_name		= "data",         ! Location of configuration files
-! directory_name		= "../../data",         ! Location of configuration files
 
 liquid_model_name = "SOCRATES",           ! Liquid droplet scattering model: "Monochromatic", "HuStamnes", *"SOCRATES"*, "Slingo"
@@ -53,6 +52,6 @@
 cloud_pdf_shape_name    = "Gamma",        ! To describe liquid water horizontal distribution: *"Gamma"*, "Lognormal"
 
-sw_solver_name          = "SPARTACUS",    ! Solver: "Homogeneous", *"McICA"*, "SPARTACUS", "Tripleclouds"
-lw_solver_name          = "SPARTACUS",    ! enable 3D effects
+sw_solver_name          = "Tripleclouds",    ! Solver: "Homogeneous", *"McICA"*, "SPARTACUS", "Tripleclouds"
+lw_solver_name          = "Tripleclouds",    ! enable 3D effects
 sw_encroachment_name    = "Computed",     ! "Maximum" = old behaviour (also "Minimum"/*"Computed"*)
 overlap_scheme_name     = "Exp-Ran",      ! Cloud overlap: *"Exp-Ran"*, "Max-Ran", "Exp-Exp"
Index: LMDZ6/branches/LMDZ_ECRad/DefLists/physiq.def_LUDOBest2
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/DefLists/physiq.def_LUDOBest2	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/DefLists/physiq.def_LUDOBest2	(revision 4482)
@@ -87,5 +87,5 @@
 
           # Longueur de melange minimum pour Kz
-lmixmin=0.001
+lmixmin=0
 
           #shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
@@ -170,13 +170,4 @@
 iflag_albedo=1
 
-    # Controle de la definition de l'inertie thermique du sol dans le modele "bucket":
-    #   0 (default) : constant
-    #   1 : fonction lineaire de qsol
-    #   2 : 2 fonctions lineaires de qsol :
-    #       une pour "sable" (boite lat/lon pour Sahara), une pour le reste (limons et argile)
-    #   3 : fonction lineaire de qsol, valeurs entre 900 pour qsol=0 et 2000 pour qsol=150
-iflag_inertie=0
-
-
           # Frequence appel convection. Nombre appels par jour
           # (nbapp_cv=0 ==> appel tous les pas de temps)
@@ -241,7 +232,4 @@
 iflag_fisrtilp_qsat=4
 
-          # Activation condensation de grande echelle epuree par E.Vignon : ok_new_lscp=y + ok_icefra_lscp=y
-ok_new_lscp=y
-ok_icefra_lscp=y
 
           #calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
@@ -571,13 +559,4 @@
 iflag_wk_pop_dyn=0
 
-          #Flag for the active wake ratio (D:1):
-          # iflag_wk_act=0: ==> active wake ratio = 0.
-          # iflag_wk_act=1: ==> active wake ratio = 1.
-          # iflag_wk_act=2: ==> active wake ratio = f(Wape)
-          # iflag_wk_act=3: ==> active wake ratio =
-          #     f(wake_dens, wake_radius, wape, Alp_wk, Alp_bl, birth rate fr cu)
-iflag_wk_act=1
-
-
 ####################################################################
 #  Conservation 
@@ -616,4 +595,9 @@
 cdnc_min=10.
 
+          # Activation condensation de grande echelle epuree par E.Vignon : ok_new_lscp=y + ok_icefra_lscp=y
+ok_new_lscp=y
+ok_icefra_lscp=y
+
           # min local intensity for rainfall before decrease of the associated precipitation fraction (mm/s)
+          # rain_int_min is used if iflag_evap_prec=4
 rain_int_min=1.44716149682657
Index: LMDZ6/branches/LMDZ_ECRad/DefLists/tracer_RN_PB.def_iso
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/DefLists/tracer_RN_PB.def_iso	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/DefLists/tracer_RN_PB.def_iso	(revision 4482)
@@ -1,7 +1,7 @@
 &version=1.0
 &lmdz
-default    type=tracer  phases=g    hadv=10   vadv=10   parent=air
-H2O                                 hadv=14   vadv=14
-H2O                     phases=ls
-H2[18]O,H[2]HO,H2[16]O  phases=gls                      parent=H2O
+default  type=tracer  phases=g    hadv=10   vadv=10   parent=air
+H2O                               hadv=14   vadv=14
+H2O                   phases=ls
+H218O,HDO,H216O       phases=gls                      parent=H2O
 RN,PB
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE-AMD.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE-AMD.path	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE-AMD.path	(revision 4482)
@@ -1,14 +1,28 @@
-NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
-NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
-NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
-IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
-OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/build/lib
-INCA_INCDIR=$LMDGCM/../INCA/build/inc
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+NETCDF_INCDIR="-I$NETCDFFORTRAN_INCDIR"
+NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR"
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+NETCDF95_INCDIR=-I$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=-L$LMDGCM/../../lib
+NETCDF95_LIB=-lnetcdf95
+
+IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
+XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCH_INCDIR="-I$LMDGCM/../../lib"
+ORCH_LIBDIR="-L$LMDGCM/../../lib"
+
+OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
+INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
+INCA_LIB="-lchimie"
+
+
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE.path	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE.path	(revision 4482)
@@ -1,14 +1,27 @@
-NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
-NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
-NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
-IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
-OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/build/lib
-INCA_INCDIR=$LMDGCM/../INCA/build/inc
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+
+NETCDF_INCDIR="-I$NETCDFFORTRAN_INCDIR"
+NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR"
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+NETCDF95_INCDIR=-I$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=-L$LMDGCM/../../lib
+NETCDF95_LIB=-lnetcdf95
+
+IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
+XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCH_INCDIR="-I$LMDGCM/../../lib"
+ORCH_LIBDIR="-L$LMDGCM/../../lib"
+
+OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
+INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
+INCA_LIB="-lchimie"
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_JEANZAY.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_JEANZAY.path	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_JEANZAY.path	(revision 4482)
@@ -2,16 +2,29 @@
 #NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
 #NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
-NETCDF_LIBDIR="-lnetcdf -lnetcdff"
-NETCDF_INCDIR=
-NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
-IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
-OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/build/lib
-INCA_INCDIR=$LMDGCM/../INCA/build/inc
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+NETCDF_INCDIR=""
+NETCDF_LIBDIR=""
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+NETCDF95_INCDIR=-I$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=-L$LMDGCM/../../lib
+NETCDF95_LIB=-lnetcdf95
+
+IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
+XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCH_INCDIR="-I$LMDGCM/../../lib"
+ORCH_LIBDIR="-L$LMDGCM/../../lib"
+ORCH_LIB=
+
+OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
+INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
+INCA_LIB="-lchimie"
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.fcm
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.fcm	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.fcm	(revision 4482)
@@ -1,16 +1,16 @@
-%COMPILER            gfortran
-%LINK                gfortran
+%COMPILER            mpifort
+%LINK                mpifort
 %AR                  ar
 %ARFLAGS             rs
 %MAKE                make
 %FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE 
-%BASE_FFLAGS         -c -fdefault-real-8 -frecursive
+%FPP_DEF             NC_DOUBLE FFT_FFTW
+%BASE_FFLAGS         -c -fdefault-real-8 -frecursive -ffree-line-length-0
 %PROD_FFLAGS         -O3
 %DEV_FFLAGS          -O
 %DEBUG_FFLAGS        -ffpe-trap=invalid,zero,overflow -fbounds-check -g3 -O0 -fstack-protector-all
-%MPI_FFLAGS
-%OMP_FFLAGS          
-%BASE_LD      
+%MPI_FFLAGS -fcray-pointer -fallow-argument-mismatch
+%OMP_FFLAGS      -fopenmp    
+%BASE_LD      -lfftw3
 %MPI_LD
-%OMP_LD              
+%OMP_LD           -fopenmp   
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.path	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.path	(revision 4482)
@@ -1,8 +1,26 @@
-NETCDF_LIBDIR="-L/usr/local/lib -lnetcdf"
-NETCDF_INCDIR=-I/usr/local/include
-NETCDF95_INCDIR=$LMDGCM/../../include
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
+NETCDF_INCDIR="-I/usr/include"
+NETCDF_LIBDIR=""
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+NETCDF95_INCDIR=-I$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=-L$LMDGCM/../../lib
+NETCDF95_LIB=-lnetcdf95
+
+IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
+XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCH_INCDIR="-I$LMDGCM/../../lib"
+ORCH_LIBDIR="-L$LMDGCM/../../lib"
+
+OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
+INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
+INCA_LIB="-lchimie"
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.env
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.env	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.env	(revision 4482)
@@ -0,0 +1,10 @@
+# Compile and running environnement for Spirit and Spiritx at IPSL ESPRI Mesocenter 
+# 
+module purge
+module load intel/2021.4.0
+module load intel-mkl/2020.4.304
+module load openmpi/4.0.7
+module load hdf5/1.10.7-mpi
+module load netcdf-fortran/4.5.3-mpi
+module load netcdf-c/4.7.4-mpi
+
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.fcm
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.fcm	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.fcm	(revision 4482)
@@ -0,0 +1,19 @@
+%COMPILER            mpif90
+%LINK                mpif90
+%AR                  ar
+%ARFLAGS             rs
+%MAKE                make
+%FPP_FLAGS           -P -traditional
+%CPP_FLAGS           -P
+%FPP_DEF             NC_DOUBLE LAPACK FFT_MKL
+%BASE_FFLAGS         -integer-size 32 -real-size 64 -fp-model strict -auto -align all
+%PROD_FFLAGS         -O2 -ip
+%DEV_FFLAGS          -fp-model strict -p -g -O2 -traceback -fp-stack-check
+%DEBUG_FFLAGS        -fp-model strict -p -g -O0 -fpe-all=0 -traceback -fp-stack-check -ftrapuv -ftrapuv -check bounds,noarg_temp_created,pointers,stack,uninit -debug full -ftz -init=arrays,snan
+%C_COMPILER          gcc
+%C_OPTIM             -O3
+%MPI_FFLAGS
+%OMP_FFLAGS          -qopenmp 
+%BASE_LD             -i4 -r8 -auto -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread
+%MPI_LD
+%OMP_LD              -qopenmp 
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.path	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.path	(revision 4482)
@@ -0,0 +1,25 @@
+NETCDF_INCDIR="-I $NETCDF_FORTRAN_ROOT/include -I${HDF5_ROOT}/include"
+NETCDF_LIBDIR="-L${NETCDF_FORTRAN_ROOT}/lib -L${NETCDF_C_ROOT}/lib -L${HDF5_ROOT}"
+NETCDF_LIB="-lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lz -lcurl -lstdc++"
+
+IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
+XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCH_INCDIR="-I$LMDGCM/../../lib"
+ORCH_LIBDIR="-L$LMDGCM/../../lib"
+
+OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
+INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
+INCA_LIB="-lchimie"
+
+
+
Index: LMDZ6/branches/LMDZ_ECRad/bld.cfg
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/bld.cfg	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/bld.cfg	(revision 4482)
@@ -101,4 +101,6 @@
 bld::excl_dep        use::ixml_tree
 bld::excl_dep        use::netcdf95
+# The following for INCA used with CPL
+bld::excl_dep        use::incaoasis
 
 # Don't generate interface files
